AIConversionUtil (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AIConversionUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AIConversionUtil

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIConversionUtil

    public class AIConversionUtil

extends java.lang.Object

A utility for converting value objects from AI to appdef.

Method Summary
`static IpValue` | `convertAIIpToIp(AIIpValue aiip)` Generate an IpValue given an AIIpValue.
`static ServerValue` | `convertAIServerToServer(AIServerValue aiserver, org.hyperic.hq.appdef.shared.ServerManagerLocal serverMgr)` Generate an ServerValue given an AIServerValue.
`static IpValue` | `mergeAIIpIntoIp(AIIpValue aiip, IpValue ip)` Merge an AIIpValue into an existing IpValue.
`static ServerValue` | `mergeAIServerIntoServer(AIServerValue aiserver, ServerValue server)` Merge an AIServerValue into an existing ServerValue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### mergeAIIpIntoIp

    public static IpValue mergeAIIpIntoIp(AIIpValue aiip,
                                          IpValue ip)

  Merge an AIIpValue into an existing IpValue.

  Parameters:
    `aiip` - The AIIpValue object.
    `ip` - The IpValue object representing an existing IP.
  Returns:
    the updated IpValue object.

### convertAIIpToIp

    public static IpValue convertAIIpToIp(AIIpValue aiip)

  Generate an IpValue given an AIIpValue.

  Parameters:
    `aiip` - The AIIpValue object.
  Returns:
    an equivalent IpValue object.

### mergeAIServerIntoServer

    public static ServerValue mergeAIServerIntoServer(AIServerValue aiserver,
                                                      ServerValue server)

  Merge an AIServerValue into an existing ServerValue.

  Parameters:
    `aiserver` - The AIServerValue object.
    `server` - The ServerValue object representing an existing server.
  Returns:
    an equivalent ServerValue object.

### convertAIServerToServer

    public static ServerValue convertAIServerToServer(AIServerValue aiserver,
                                                      org.hyperic.hq.appdef.shared.ServerManagerLocal serverMgr)
                                               throws javax.ejb.FinderException

  Generate an ServerValue given an AIServerValue.

  Parameters:
    `aiserver` - The AIServerValue object.
  Returns:
    an equivalent ServerValue object.
  Throws:
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.